This CPE summary could be partial or incomplete. Please contact us for a detailed listing.

Summary

Detail
Vendor Adobe First view 2006-12-31
Product Coldfusion Last view 2023-11-17
Version * Type Application
Update *  
Edition *  
Language *  
Sofware Edition *  
Target Software *  
Target Hardware *  
Other *  
 
CPE Product cpe:2.3:a:adobe:coldfusion

Activity : Overall

Related : CVE

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
  Date Alert Description
4.3 2023-11-17 CVE-2023-44355

Adobe ColdFusion versions 2023.5 (and earlier) and 2021.11 (and earlier) are affected by an Improper Input Validation vulnerability that could result in a Security feature bypass. An unauthenticated attacker could leverage this vulnerability to impact a minor integrity feature. Exploitation of this issue does require user interaction.

9.8 2023-11-17 CVE-2023-44353

Adobe ColdFusion versions 2023.5 (and earlier) and 2021.11 (and earlier) are affected by an Deserialization of Untrusted Data vulnerability that could result in Arbitrary code execution. Exploitation of this issue does not require user interaction.

6.1 2023-11-17 CVE-2023-44352

Adobe ColdFusion versions 2023.5 (and earlier) and 2021.11 (and earlier) are affected by a reflected Cross-Site Scripting (XSS) vulnerability. If an unauthenticated attacker is able to convince a victim to visit a URL referencing a vulnerable page, malicious JavaScript content may be executed within the context of the victim's browser.

9.8 2023-11-17 CVE-2023-44351

Adobe ColdFusion versions 2023.5 (and earlier) and 2021.11 (and earlier) are affected by an Deserialization of Untrusted Data vulnerability that could result in Arbitrary code execution. Exploitation of this issue does not require user interaction.

9.8 2023-11-17 CVE-2023-44350

Adobe ColdFusion versions 2023.5 (and earlier) and 2021.11 (and earlier) are affected by an Deserialization of Untrusted Data vulnerability that could result in Arbitrary code execution. Exploitation of this issue does not require user interaction.

7.5 2023-11-17 CVE-2023-26347

Adobe ColdFusion versions 2023.5 (and earlier) and 2021.11 (and earlier) are affected by an Improper Access Control vulnerability that could result in a Security feature bypass. An unauthenticated attacker could leverage this vulnerability to access the administration CFM and CFC endpoints. Exploitation of this issue does not require user interaction.

7.4 2023-09-07 CVE-2021-40699

ColdFusion version 2021 update 1 (and earlier) and versions 2018.10 (and earlier) are impacted by an improper access control vulnerability when checking permissions in the CFIDE path. An authenticated attacker could leverage this vulnerability to access and manipulate arbitrary data on the environment.

7.4 2023-09-07 CVE-2021-40698

ColdFusion version 2021 update 1 (and earlier) and versions 2018.10 (and earlier) are impacted by an Use of Inherently Dangerous Function vulnerability that can lead to a security feature bypass??. An authenticated attacker could leverage this vulnerability to access and manipulate arbitrary data on the environment.

7.5 2023-07-12 CVE-2023-29301

Adobe ColdFusion versions 2018u16 (and earlier), 2021u6 (and earlier) and 2023.0.0.330468 (and earlier) are affected by an Improper Restriction of Excessive Authentication Attempts vulnerability that could result in a Security feature bypass. An attacker could leverage this vulnerability to impact the confidentiality of the user. Exploitation of this issue does not require user interaction.

9.8 2023-07-12 CVE-2023-29300

Adobe ColdFusion versions 2018u16 (and earlier), 2021u6 (and earlier) and 2023.0.0.330468 (and earlier) are affected by a Deserialization of Untrusted Data vulnerability that could result in Arbitrary code execution. Exploitation of this issue does not require user interaction.

7.5 2023-07-12 CVE-2023-29298

Adobe ColdFusion versions 2018u16 (and earlier), 2021u6 (and earlier) and 2023.0.0.330468 (and earlier) are affected by an Improper Access Control vulnerability that could result in a Security feature bypass. An attacker could leverage this vulnerability to access the administration CFM and CFC endpoints. Exploitation of this issue does not require user interaction.

6.1 2022-05-12 CVE-2022-28818

ColdFusion versions CF2021U3 (and earlier) and CF2018U13 are affected by a reflected Cross-Site Scripting (XSS) vulnerability. If an attacker is able to convince a victim to visit a URL referencing a vulnerable page, malicious JavaScript content may be executed within the context of the victim's browser.

8.6 2016-09-01 CVE-2016-4264

The Office Open XML (OOXML) feature in Adobe ColdFusion 10 before Update 21 and 11 before Update 10 allows remote attackers to read arbitrary files or send TCP requests to intranet servers via a crafted OOXML spreadsheet containing an external entity declaration in conjunction with an entity reference, related to an XML External Entity (XXE) issue.

4.3 2015-11-18 CVE-2015-8053

Cross-site scripting (XSS) vulnerability in Adobe ColdFusion 10 before Update 18 and 11 before Update 7 allows remote attackers to inject arbitrary web script or HTML via unspecified vectors, a different vulnerability than CVE-2015-8052.

4.3 2015-11-18 CVE-2015-8052

Cross-site scripting (XSS) vulnerability in Adobe ColdFusion 10 before Update 18 and 11 before Update 7 allows remote attackers to inject arbitrary web script or HTML via unspecified vectors, a different vulnerability than CVE-2015-8053.

4.3 2015-11-18 CVE-2015-5255

Adobe BlazeDS, as used in ColdFusion 10 before Update 18 and 11 before Update 7 and LiveCycle Data Services 3.0.x before 3.0.0.354175, 3.1.x before 3.1.0.354180, 4.5.x before 4.5.1.354177, 4.6.2.x before 4.6.2.354178, and 4.7.x before 4.7.0.354178, allows remote attackers to send HTTP traffic to intranet servers via a crafted XML document, related to a Server-Side Request Forgery (SSRF) issue.

4.3 2015-04-15 CVE-2015-0345

Cross-site scripting (XSS) vulnerability in Adobe ColdFusion 10 before Update 16 and 11 before Update 5 allows remote attackers to inject arbitrary web script or HTML via unspecified vectors.

4.3 2014-09-26 CVE-2014-5315

Cross-site scripting (XSS) vulnerability in the Help page in Adobe Acrobat 9.5.2 and earlier and ColdFusion 8.0.1 and earlier allows remote attackers to inject arbitrary web script or HTML via unspecified vectors.

7.8 2013-11-12 CVE-2013-5328

Adobe ColdFusion 10 before Update 12 allows remote attackers to read arbitrary files via unspecified vectors.

3.5 2013-11-12 CVE-2013-5326

Cross-site scripting (XSS) vulnerability in Adobe ColdFusion 9.0 before Update 12, 9.0.1 before Update 11, 9.0.2 before Update 6, and 10 before Update 12, when the CFIDE directory is available, allows remote authenticated users to inject arbitrary web script or HTML via unspecified vectors related to the logviewer directory.

10 2013-09-20 CVE-2010-5290

The authentication process in Adobe ColdFusion before 10 does not require knowledge of the cleartext password if the password hash is known, which makes it easier for context-dependent attackers to obtain administrative privileges by leveraging read access to the configuration file, a different vulnerability than CVE-2010-2861.

5 2012-09-12 CVE-2012-2048

Unspecified vulnerability in Adobe ColdFusion 10 and earlier allows attackers to cause a denial of service via unknown vectors.

5 2011-02-01 CVE-2011-0737

Adobe ColdFusion 9.0.1 CHF1 and earlier allows remote attackers to obtain sensitive information via an id=- query to a .cfm file, which reveals the installation path in an error message. NOTE: the vendor disputes the significance of this issue because the Site-wide Error Handler and Debug Output Settings sections of the ColdFusion Lockdown guide explain the requirement for settings that prevent this information disclosure

4.3 2011-02-01 CVE-2011-0736

Adobe ColdFusion 9.0.1 CHF1 and earlier, when a web application is configured to use a DBMS, allows remote attackers to obtain potentially sensitive information about the database structure via an id=- query to a .cfm file. NOTE: the vendor disputes the significance of this issue because the Site-wide Error Handler and Debug Output Settings sections of the ColdFusion Lockdown guide explain the requirement for settings that prevent this information disclosure

4.3 2011-02-01 CVE-2011-0735

Cross-site scripting (XSS) vulnerability in Adobe ColdFusion before 9.0.1 CHF1 allows remote attackers to inject arbitrary web script or HTML via vectors involving a "tag script."

CWE : Common Weakness Enumeration

%idName
45% (15) CWE-79 Failure to Preserve Web Page Structure ('Cross-site Scripting')
12% (4) CWE-502 Deserialization of Untrusted Data
12% (4) CWE-200 Information Exposure
6% (2) CWE-20 Improper Input Validation
3% (1) CWE-611 Information Leak Through XML External Entity File Disclosure
3% (1) CWE-307 Improper Restriction of Excessive Authentication Attempts
3% (1) CWE-287 Improper Authentication
3% (1) CWE-284 Access Control (Authorization) Issues
3% (1) CWE-264 Permissions, Privileges, and Access Controls
3% (1) CWE-255 Credentials Management
3% (1) CWE-242 Use of Inherently Dangerous Function
3% (1) CWE-22 Improper Limitation of a Pathname to a Restricted Directory ('Path ...

Open Source Vulnerability Database (OSVDB)

id Description
70781 Adobe ColdFusion CFM File id=- Query Error Message Path Disclosure
70780 Adobe ColdFusion DBMS CFM File id=- Query Database Structure Disclosure
70779 Adobe ColdFusion Unspecified Tag Script XSS
70778 Adobe ColdFusion BODY Element JavaScript onLoad Event Handler id Parameter XSS
70777 Adobe ColdFusion CFM File id=- Query User-Agent HTTP Header XSS
67047 Adobe ColdFusion enter.cfm Traversal password.properties Information Disclosure
64660 Adobe ColdFusion Unspecified Method XSS
64659 Adobe ColdFusion Unspecified Local Information Disclosure
64658 Adobe ColdFusion Administrator Page Unspecified XSS
57191 Adobe ColdFusion Unspecified Session Fixation
57190 Adobe ColdFusion Unspecified XSS
57189 Adobe ColdFusion Double-encoded Null Character Information Disclosure
57188 Adobe ColdFusion Multiple Unspecified XSS
57185 Adobe ColdFusion Server administrator/enter.cfm Query String XSS
57184 Adobe ColdFusion Server wizards/common/_authenticatewizarduser.cfm Query Stri...
57183 Adobe ColdFusion Server wizards/common/_logintowizard.cfm Query String XSS
57182 Adobe ColdFusion Server administrator/logviewer/searchlog.cfm startRow Parame...
32123 ColdFusion / JRun on IIS Double Encoded NULL Byte Request File Content Disclo...

ExploitDB Exploits

id Description
14641 Adobe ColdFusion Directory Traversal Vulnerability

OpenVAS Exploits

id Description
2010-09-02 Name : Adobe ColdFusion Directory Traversal Vulnerability
File : nvt/gb_coldfusion_42342.nasl

Information Assurance Vulnerability Management (IAVM)

id Description
2013-A-0208 Multiple Vulnerabilities in Adobe ColdFusion
Severity: Category I - VMSKEY: V0042291

Snort® IPS/IDS

Date Description
2014-01-10 Adobe ColdFusion locale directory traversal attempt
RuleID : 18464 - Type : SERVER-WEBAPP - Revision : 11

Nessus® Vulnerability Scanner

id Description
2016-08-31 Name: A web-based application running on the remote host is affected by an informat...
File: coldfusion_win_apsb16-30.nasl - Type: ACT_GATHER_INFO
2015-12-22 Name: The remote host has a virtualization management application installed that is...
File: vmware_vcenter_vmsa-2015-0008.nasl - Type: ACT_GATHER_INFO
2015-12-09 Name: The remote FreeBSD host is missing one or more security-related updates.
File: freebsd_pkg_c8842a849ddd11e58c2fc485083ca99c.nasl - Type: ACT_GATHER_INFO
2015-11-19 Name: A web-based application running on the remote Windows host is affected by mul...
File: coldfusion_win_apsb15-29.nasl - Type: ACT_GATHER_INFO
2015-04-14 Name: A web-based application running on the remote Windows host is affected by a c...
File: coldfusion_win_apsb15-07.nasl - Type: ACT_GATHER_INFO
2015-04-13 Name: The remote Windows host has an application installed that is affected by mult...
File: vmware_horizon_view_VMSA-2015-0003.nasl - Type: ACT_GATHER_INFO
2014-09-23 Name: The version of Adobe Acrobat on the remote Windows host is affected by a cros...
File: adobe_acrobat_CVE-2014-5315.nasl - Type: ACT_GATHER_INFO
2014-09-23 Name: The version of Adobe Acrobat on the remote Mac OS X host is affected by a cro...
File: macosx_adobe_acrobat_CVE-2014-5315.nasl - Type: ACT_GATHER_INFO
2013-11-14 Name: A web-based application running on the remote Windows host is affected by mul...
File: coldfusion_win_apsb13-27.nasl - Type: ACT_GATHER_INFO
2013-01-24 Name: A web-based application running on the remote Windows host is affected by a d...
File: coldfusion_win_apsb12-21.nasl - Type: ACT_GATHER_INFO
2010-08-16 Name: An application running on the remote web server is affected by a directory tr...
File: coldfusion_locale_dir_traversal.nasl - Type: ACT_ATTACK
2010-05-24 Name: A web application running on the remote host is affected by a cross-site scri...
File: coldfusion_cfadminuserid_xss.nasl - Type: ACT_ATTACK
2009-11-02 Name: An application running on the remote web server is affected by a cross-site s...
File: coldfusion_8_0_1_multiple_xss.nasl - Type: ACT_ATTACK
2009-08-21 Name: An application running on the remote web server is affected by an information...
File: coldfusion_apache_double_null_info_disclosure.nasl - Type: ACT_ATTACK
2007-02-08 Name: An application running on the remote web server is affected by an information...
File: coldfusion_double_encoded_null_info_disclosure.nasl - Type: ACT_ATTACK